import request from '@/utils/request'

// 查询合同信息详情列表
export function listCsContractDetails(query) {
  return request({
    url: '/cs/csContractDetails/list',
    method: 'get',
    params: query
  })
}

// 查询合同信息详情详细
export function getCsContractDetails(contractDetailsId) {
  return request({
    url: '/cs/csContractDetails/' + contractDetailsId,
    method: 'get'
  })
}

// 新增合同信息详情
export function addCsContractDetails(data) {
  return request({
    url: '/cs/csContractDetails',
    method: 'post',
    data: data
  })
}

// 修改合同信息详情
export function updateCsContractDetails(data) {
  return request({
    url: '/cs/csContractDetails',
    method: 'put',
    data: data
  })
}

// 删除合同信息详情
export function delCsContractDetails(contractDetailsId) {
  return request({
    url: '/cs/csContractDetails/' + contractDetailsId,
    method: 'delete'
  })
}
